<!-- Start Page Title Area -->
<div class="page-title-area item-bg-1">
    <div class="container">
        <div class="page-title-content">
            <h2>Log In</h2>
            <ul>
                <li>
                    <a class="nav-link active" routerLink="/home" routerLinkActive="active">
                        Home 
                        <i class="fa fa-chevron-right"></i>
                    </a>
                </li>
                <li>Log In</li>
            </ul>
        </div>
    </div>
</div>
<!-- End Page Title Area -->

<!-- Start Sign Up Area -->
<section class="sign-up-area ptb-100">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="contact-form-action">
                    <div class="form-heading text-center">
                        <h3 class="form-title">Login to your account!</h3>
                        <p class="form-desc">with your social network.</p>
                    </div>
                    <form [formGroup]="loginForm" (ngSubmit)="onSubmitlogin()">
                        <div class="row">
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                <button class="default-btn" type="submit">
                                    <i class="fa fa-google"></i> Google
                                </button>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                <button class="default-btn" type="submit">
                                    <i class="fa fa-facebook"></i>Facebook
                                </button>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-12">
                                <button class="default-btn" type="submit">
                                    <i class="fa fa-twitter"></i>Twitter
                                </button>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <!-- <input class="form-control" type="text" name="name" placeholder="Username or Email"> -->
                                    <input type="text" formControlName="email" class="form-control" placeholder="Email" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                                    <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                        <div *ngIf="f.email.errors.required">Email is required</div>
                                         <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <!-- <input class="form-control" type="password" name="password" placeholder="Password"> -->
                                    <input type="password" formControlName="password" placeholder="Password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                                    <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                        <div *ngIf="f.password.errors.required">Password is required</div>
                                    </div>
                                    <div *ngIf="loginError"> Login Error</div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 form-condition">
                                <div class="agree-label">
                                    <input type="checkbox" id="chb1">
                                    <label for="chb1">
                                        Remember Me
                                    </label>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6">
                                <a class="forget" routerLink="/forgot-password" routerLinkActive="active">Forgot my password?</a> 
                            </div>
                            <div class="col-12">
                                <!-- <button class="default-btn" type="submit">
                                    Log In Now
                                </button> -->
                                <button type="submit" class="default-btn"> Log In</button>
                            </div>
                            <div class="col-12">
                                <p class="account-desc">
                                    Not a member?
                                    <a class="default-btn" routerLink="/register" routerLinkActive="active">Register</a> 
                                </p>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End Sign Up Area -->





